/**
 * Merges many entities at once
 */
export declare function mergeEntities(entityMap: object): {
    type: string;
    payload: object;
};
/**
 * Merges a field inside an entity
 */
export declare function mergeEntity(domain: string, id: string, data: any): {
    type: string;
    payload: {
        domain: string;
        id: string;
        data: any;
    };
};
/**
 * Removes multiple entities at once (of a single type/domain)
 */
export declare function removeMany(domain: string, keys: string[]): {
    type: string;
    payload: {
        domain: string;
        keys: string[];
    };
};
/**
 * Removes one entity by id
 */
export declare function removeOne(domain: string, key: string): {
    type: string;
    payload: {
        domain: string;
        keys: string[];
    };
};
/**
 * Removes all entities by domain
 */
export declare function removeAll(domain: string): {
    type: string;
    payload: {
        domain: string;
    };
};
/**
 * Clears the whole entity cache
 */
export declare function clear(): {
    type: string;
};
/**
 * Update all entities with the new ones
 */
export declare function updateEntities(entityMap: object): {
    type: string;
    payload: object;
};
/**
 * Update one entities with a new data
 */
export declare function updateEntity(domain: string, id: string, data: any): {
    type: string;
    payload: {
        domain: string;
        id: string;
        data: any;
    };
};
//# sourceMappingURL=actions.d.ts.map