"use strict";
var _a;
Object.defineProperty(exports, "__esModule", { value: true });
var buildReducer_1 = require("../lib/buildReducer");
var ramda_1 = require("ramda");
var ActionTypes = require("./actionTypes");
var initialState = {};
var actionHandlers = (_a = {},
    _a[ActionTypes.MERGE_ENTITIES] = function (state, _a) {
        var payload = _a.payload;
        return ramda_1.mergeDeepRight(state, payload);
    },
    _a[ActionTypes.MERGE_ENTITY] = function (state, _a) {
        var payload = _a.payload;
        var domain = payload.domain, id = payload.id, data = payload.data;
        return ramda_1.over(ramda_1.lensPath([domain, id]), ramda_1.compose(ramda_1.mergeDeepLeft(data), ramda_1.defaultTo({})), state);
    },
    _a[ActionTypes.REMOVE] = function (state, _a) {
        var payload = _a.payload;
        var domain = payload.domain, keys = payload.keys;
        return ramda_1.over(ramda_1.lensPath([domain]), ramda_1.omit(keys), state);
    },
    _a[ActionTypes.REMOVE_ALL] = function (state, _a) {
        var payload = _a.payload;
        return ramda_1.omit([payload.domain], state);
    },
    _a[ActionTypes.CLEAR] = function () {
        return initialState;
    },
    _a[ActionTypes.UPDATE_ENTITIES] = function (state, _a) {
        var payload = _a.payload;
        return ramda_1.mergeWith(ramda_1.mergeRight, state, payload);
    },
    _a[ActionTypes.UPDATE_ENTITY] = function (state, _a) {
        var payload = _a.payload;
        var domain = payload.domain, id = payload.id, data = payload.data;
        return ramda_1.assocPath([domain, String(id)], data, state);
    },
    _a);
exports.default = buildReducer_1.default(initialState, actionHandlers);
//# sourceMappingURL=reducer.js.map