"use strict";
var __spreadArrays = (this && this.__spreadArrays) || function () {
    for (var s = 0, i = 0, il = arguments.length; i < il; i++) s += arguments[i].length;
    for (var r = Array(s), k = 0, i = 0; i < il; i++)
        for (var a = arguments[i], j = 0, jl = a.length; j < jl; j++, k++)
            r[k] = a[j];
    return r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.toggle = exports.incrementBy = exports.merge = exports.remove = exports.set = void 0;
var actionTypes_1 = require("./actionTypes");
var utils_1 = require("./utils");
/**
 * Sets a single value in a hash, specified by
 * domain and keys
 */
function set(keys, value) {
    return {
        type: actionTypes_1.SET,
        payload: {
            path: __spreadArrays(utils_1.alwaysArray(keys)),
            value: value,
        },
    };
}
exports.set = set;
/**
 * Deletes the value containing in a specified domain
 * and keys
 */
function remove(keys) {
    return {
        type: actionTypes_1.REMOVE,
        payload: {
            path: __spreadArrays(utils_1.alwaysArray(keys)),
        },
    };
}
exports.remove = remove;
/**
 * Merges a Javascript object in an existing hash
 */
function merge(keys, map) {
    return {
        type: actionTypes_1.MERGE,
        payload: {
            path: __spreadArrays(utils_1.alwaysArray(keys)),
            value: map,
        },
    };
}
exports.merge = merge;
/**
 * Increments the value inside a domain and keys by delta
 */
function incrementBy(keys, delta) {
    return {
        type: actionTypes_1.INCREMENT_BY,
        payload: {
            path: __spreadArrays(utils_1.alwaysArray(keys)),
            value: delta,
        },
    };
}
exports.incrementBy = incrementBy;
/**
 * Toggles a Boolean key in a hash. If key is not present, it will assumed to
 * be false, so htoggle() will cause it to be true.
 */
function toggle(keys) {
    return {
        type: actionTypes_1.TOGGLE,
        payload: {
            path: __spreadArrays(utils_1.alwaysArray(keys)),
        },
    };
}
exports.toggle = toggle;
//# sourceMappingURL=actions.js.map