"use strict";
var _a;
Object.defineProperty(exports, "__esModule", { value: true });
var ramda_1 = require("ramda");
var buildReducer_1 = require("../lib/buildReducer");
var ActionTypes = require("./actionTypes");
var initialState = {};
var actionHandlers = (_a = {},
    _a[ActionTypes.SET] = function (state, action) {
        var _a = action.payload, value = _a.value, path = _a.path;
        return ramda_1.assocPath(path, value, state);
    },
    _a[ActionTypes.REMOVE] = function (state, action) {
        var path = action.payload.path;
        return ramda_1.dissocPath(path, state);
    },
    _a[ActionTypes.MERGE] = function (state, action) {
        var _a = action.payload, value = _a.value, path = _a.path;
        return ramda_1.over(ramda_1.lensPath(path), ramda_1.mergeDeepLeft(value), state);
    },
    _a[ActionTypes.INCREMENT_BY] = function (state, action) {
        var _a = action.payload, value = _a.value, path = _a.path;
        return ramda_1.over(ramda_1.lensPath(path), ramda_1.compose(ramda_1.add(value), ramda_1.ifElse(ramda_1.is(Number), ramda_1.identity, ramda_1.always(0))), state);
    },
    _a[ActionTypes.TOGGLE] = function (state, action) {
        var path = action.payload.path;
        return ramda_1.over(ramda_1.lensPath(path), ramda_1.not, state);
    },
    _a);
exports.default = buildReducer_1.default(initialState, actionHandlers);
//# sourceMappingURL=reducer.js.map