/**
 * Prepends an item to the list
 */
export declare function unshift(domain: string, value: any): {
    type: string;
    payload: {
        domain: string;
        value: any;
    };
};
/**
 * Appends an item in the right of the list
 */
export declare function push(domain: string, value: any): {
    type: string;
    payload: {
        domain: string;
        value: any;
    };
};
/**
 * Removes the first value of list
 */
export declare function shift(domain: string): {
    type: string;
    payload: {
        domain: string;
    };
};
/**
 * Removes the last value of list
 */
export declare function pop(domain: string): {
    type: string;
    payload: {
        domain: string;
    };
};
/**
 * Replaces a value in a specific index of the list
 */
export declare function replaceOne(domain: string, index: number, value: any): {
    type: string;
    payload: {
        domain: string;
        index: number;
        value: any;
    };
};
/**
 * Replaces all the domain elements with new ones
 */
export declare function replaceDomain(domain: string, elements: any[]): {
    type: string;
    payload: {
        domain: string;
        elements: any[];
    };
};
/**
 * Removes n occurrences of the value in the list
 */
export declare function removeOccurrences(domain: string, count: number, value: any): {
    type: string;
    payload: {
        domain: string;
        count: number;
        value: any;
    };
};
/**
 * Removes all the elements in the list except of the ones
 * included in the specified range
 */
export declare function trim(domain: string, start: number, stop?: number): {
    type: string;
    payload: {
        domain: string;
        start: number;
        stop: number;
    };
};
//# sourceMappingURL=actions.d.ts.map