"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getRequestError = exports.isRequestSucceeded = exports.isRequestPending = exports.getRequestStatus = void 0;
var ramda_1 = require("ramda");
exports.getRequestStatus = function (domain, state) {
    return ramda_1.path(['requests', domain, 'status'], state);
};
exports.isRequestPending = function (domain, state) {
    return exports.getRequestStatus(domain, state) === 'pending';
};
exports.isRequestSucceeded = function (domain, state) {
    return exports.getRequestStatus(domain, state) === 'ok';
};
exports.getRequestError = function (domain, state) {
    var status = exports.getRequestStatus(domain, state);
    return status === 'error' ? ramda_1.path(['requests', domain, 'error'], state) : null;
};
//# sourceMappingURL=selectors.js.map